package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 合同单位关联表(PmContractUnitRef)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-02 00:47:22
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_contract_unit_ref")
@ApiModel(value = "合同单位关联表", description = "")
public class PmContractUnitRef implements Serializable {
    private static final long serialVersionUID = 497813391870165785L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("合同ID")
    @TableField("CONTRACT_INFO_ID")
    private Long contractInfoId;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;

    @ApiModelProperty("单位ID（供应商或需求单位ID)")
    @TableField("UNIT_ID")
    private Long unitId;

    @ApiModelProperty("单位类型，A:甲方，B：乙方")
    @TableField("UNIT_TYPE")
    private String unitType;


    @ApiModelProperty("合同签订地点")
    @TableField("CONTRACT_SIGN_PLACE")
    private String contractSignPlace;


    @ApiModelProperty("合同签订日期")
    @TableField("CONTRACT_SIGN_DATE")
    private Date contractSignDate;


    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
